<?xml version="1.0" encoding="utf-8"?>
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.w3.org/1999/xhtml http://www.xbrl.org/2013/inlineXBRL/xhtml-inlinexbrl-1_1.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance">
  <link:roleRef xlink:type="simple" roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" />
  <link:roleRef xlink:type="simple" roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel" />
  <link:roleRef xlink:type="simple" roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" />
  <link:roleRef xlink:type="simple" roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel" />
  <link:roleRef xlink:type="simple" roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel" />
  <link:roleRef xlink:type="simple" roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel" />
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:href="ciakgrupadd-2025-12-31.xsd#ciakgrupadd_NekonsolidiraniFinancijskiIzvjestaj" xlink:label="loc_ciakgrupadd_NekonsolidiraniFinancijskiIzvjestaj" />
    <link:label xlink:type="resource" xml:lang="hr" id="label_ciakgrupadd_NekonsolidiraniFinancijskiIzvjestaj" xlink:label="label_ciakgrupadd_NekonsolidiraniFinancijskiIzvjestaj" xlink:role="http://www.xbrl.org/2003/role/label">Nekonsolidirani financijski izvještaj</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ciakgrupadd_NekonsolidiraniFinancijskiIzvjestaj" xlink:to="label_ciakgrupadd_NekonsolidiraniFinancijskiIzvjestaj" />
  </link:labelLink>
</link:linkbase>